#### INTEGER

#### Synopsis

    HELP:   Use integer format for the length field
    TYPE:   OBJECT
    SYNTAX: INTEGER(ENDIAN=SYSTEM/BIG/LITTLE/LOCAL,WIDTH=num/U16/U32/U64,INCLUDE)

#### Description

The object defines the binary representation of the length field in integer format. You can define the byte order, the bit width and if the length field will be part of the length value or not.

#### Arguments

- `NUMBER: ENDIAN=SYSTEM/BIG/LITTLE/LOCAL - Byte order [SYSTEM]`
  - `SYSTEM - Byte order of the default logical system`
  - `BIG - Big endian byte order`
  - `LITTLE - Little endian byte order`
  - `LOCAL - Byte order of the real physical system`
- `NUMBER: WIDTH=num/U16/U32/U64 - Bit width/rate [B32]`
  - `U16 - 16 bit unsigned integer`
  - `U32 - 32 bit unsigned integer`
  - `U64 - 64 bit unsigned integer`
- `SWITCH: INCLUDE - Include length field in length value [OFF]`